<?php

//Для одностраничного приложения с AJAX запросами для определения времени жизни сесии
//$prolong==true для продления виртуальной сессии
function startSession($prolong=true)
{
    $sessionLifetime = 3600; //В секундах (время жизни должно быть меньше чем session.gc_maxlifetime там значение по умолчанию: 1440/60=24 минутs (60*60=3600 то это час))
    if (!@session_start()){
        return false;
    }
    $t = time();
    if(!isset($_SESSION['lastactivity']) || $prolong){
        $_SESSION['lastactivity']=$t;
    }
    if ( $t-$_SESSION['lastactivity'] >= $sessionLifetime )
    {
        $t=$_SESSION['lastactivity'];
        //session_unset(); Удалить все переменные сессии (устарела)
        //$_SESSION = array();
        session_reset(); // Удалить все переменные сессии
        $_SESSION['lastactivity']=$t;
        return false;
    }
    return true;
}